org.apache.ignite.internal.processors.cache.transactions

## Enum IgniteInternalTx.FinalizationStatus

- java.lang.Object
- - java.lang.Enum<IgniteInternalTx.FinalizationStatus>
  - - org.apache.ignite.internal.processors.cache.transactions.IgniteInternalTx.FinalizationStatus

All Implemented Interfaces:
  Serializable, Comparable<IgniteInternalTx.FinalizationStatus>

Enclosing interface:
  IgniteInternalTx

    public static enum IgniteInternalTx.FinalizationStatus
    extends Enum<IgniteInternalTx.FinalizationStatus>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`NONE` Transaction was not finalized yet.
`RECOVERY_FINISH` Transaction is being finalized by recovery procedure.
`USER_FINISH` Transaction is being finalized by user.

### Method Summary

All Methods Static Methods Concrete Methods
`static IgniteInternalTx.FinalizationStatus` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IgniteInternalTx.FinalizationStatus[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NONE

    public static final IgniteInternalTx.FinalizationStatus NONE

Transaction was not finalized yet.

#### USER_FINISH

    public static final IgniteInternalTx.FinalizationStatus USER_FINISH

Transaction is being finalized by user.

#### RECOVERY_FINISH

    public static final IgniteInternalTx.FinalizationStatus RECOVERY_FINISH

Transaction is being finalized by recovery procedure.

### Method Detail

#### values

    public static IgniteInternalTx.FinalizationStatus[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (IgniteInternalTx.FinalizationStatus c : IgniteInternalTx.FinalizationStatus.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static IgniteInternalTx.FinalizationStatus valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018